LINUX.ORG.RU

Amarok 2.9.0 «Hibernaculum»

 , ,


0

2

7 марта 2018 года объявлено о выходе очередной версии аудио-проигрывателя с поддержкой коллекций Amarok версии 2.9. Этот выпуск содержит улучшения, исправления и доводку почти всех свойственных Amarok'у особенностей.

Разработчики отмечают, что данный выпуск является последним выпуском основанным на ветке Qt4/KDE4.x, так как работа по портированию приложения на Qt5 и Plasma5 уже ждёт своего часа.

Новые возможности:

  • Диалог настройки «Базы данных» теперь содержит кнопку «Проверка соединения».
  • Добавлены служебные параметры для директорий.
  • Браузер коллекции прокручивает список в исходную позицию после очистки фильтра.
  • Центр уведомлений теперь поддерживает работу в Mac OS X.
  • Синхронизация статистики между коллекциями Amarok(2.x) и базой данных коллекций аудио-записей Amarok 1.4, Apple iTunes, Banshee, Clementine и Rhythmbox.
  • Улучшено удобство использования диалога организации файлов.
  • Поддержка SSL при использовании Wikipedia.
  • Новая опция «ASCII Analyzer» в виджете Analyzer. Патч от Matej Repinc

Изменения:

  • Дата последнего и первого воспроизведения теперь имеет тот же формат, в то время как в списке воспроизведения используется удобный для восприятия формат, например, «минуту назад» в диалоге изменения мета-данных.
  • Кнопка «Import» в «Настройках» Amarok -> «Локальная коллекция» Local Collection больше не предназначена для импорта статистики из Amarok 1.4 и iTunes и переименована в «Import batch file», чтобы отражать изменения.
  • «Настройка» Amarok -> вкладка «Мета-данные» содержит новые кнопки для добавления и перенастройки целей синхронизации.
  • Когда ffmpeg недоступен, диалог «Transcode» больше не пропускается, вместо этого отображается информационное сообщение. Патч от Jai Luthra.
  • Amarok теперь использует некоторые возможности стандарта C++11. Используемое «подмножество» стандарта определяется компилятором поддерживаемым KDE в текущий момент.
  • Отключено non-SSL соединение через wikipedia апплет.

Также исправлены многие ошибки.

>>> Подробности

★★★★★

Проверено: Shaman007 ()
Ответ на: комментарий от grem

Зачем дискографию Аркадия Укупника затёр?

anonymous ()

так как работа по портированию приложения на Qt5 и Plasma5 уже ждёт своего часа

Расскажите зачем постоянно необходимо кардинально обновлять фреймворки? qt3->qt4->qt5, gtk2->gtk3->gtk4?

Ну в плане это ж наверняка опытные люди, неужто в новых все настолько лучше?

ipeacocks ★★★★★ ()
Ответ на: комментарий от KennyMinigun

Было бы что пробовать! Это всё тот же Amarok. Всё так же на kdelibs/Qt4. Всё так же схлопывается виджет «Текущая дорожка», если не выставить локаль с латиницей или общесистемный размер шрифта поменьше. Всё так же этот виджет не умеет отображать все метаданные из этой самой текущей дорожки (и уж тем более не умеет отображать настраиваемый их список). Всё так же нет лёгкого и ненавязчивого отображения полноразмерной обложки альбома при наведении на неё курсора (а есть только тяжеловатая, неудобная и в целом новом окне с заголовком и рамкой). Всё такая же очень странная и несимпатичная прокрутка в плейлисте (впрочем, очень похоже, что это во всём Qt так). Всё так же два вопросика посредине какой-то недостаточно хорошо просканированной композиции до следующего полного пересканирования коллекции. Всё так же более ста (!!) мегабайт оперативной памяти нужно ему для запуска. И всё такое прочее. Ну, и выбрать синхронизацию статистики с Clementine и некоторыми другими плеерами теперь можно. И она даже работает. Кажется. Словом, Амароку есть чему поучиться у той же Кантаты.

Но зато всё так же в нём есть настраиваемый группирующий плейлист, равных которому нет. (Просто группирующий плейлист есть в Кантате, но там он ненастраиваемый.) И всё так же есть коллекция с возможностью как изощрённого и вдумчивого, так и лёгкого и ненапрягающего поиска по всем полям. Вообще по всем. Включая имя каталога, в котором лежит композиция. Ну, или как-то так.

anonymous ()

Но зачем он нужен, если есть clementine?

sehellion ★★★★★ ()
Ответ на: комментарий от sehellion

Кому нужен проигрыватель, который не умеет автоматически распознавать кодировку?

grem ★★★★★ ()
Ответ на: комментарий от grem

У меня вся коллекция с кодировкой в utf-8, проблем нет

sehellion ★★★★★ ()
Ответ на: комментарий от sehellion

С другими проигрывателями я вообще не знаю что в какой кодировке, это не моя забота и не должно ей быть. Поэтому clementine не нужен в windows, потому что там есть foobar2000 (хотя и мог бы составить ему конкуренцию если бы не фатальный недостаток), а в linux бесполезен потому, что есть куча других проигрывателей без этого же фатального недостатка. У него была возможность стать кроссплатформенным проигывателем, которым захотят пользоваться и там и там, но разработчики сами же угробили её.

grem ★★★★★ ()
Последнее исправление: grem (всего исправлений: 2)

если ты не мусорок, слушай плеер Амарок!

zaraki22 ()

сравнивал с Clementine и звук в амароке мне больше нравится. Но он, сука, жрёт полгектара памяти, больше плазмы!

zaraki22 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.